Modify

Opened 10 years ago

Closed 10 years ago

#2436 closed defect (fixed)

RB532a boot/kernel issue

Reported by: acoul <alex@…> Owned by: florian
Priority: highest Milestone: Kamikaze 8.09 RC1
Component: kernel Version:
Keywords: rb532a nand kernel problem Cc:

Description

patchsets [9008], [9011] and [9049] cause boot problems on a rb532a. Using snapshot [9049] and reverting to prior [9008] snapshot on the trunk/target/linux/rb532 directory solves the problem.

Attachments (0)

Change History (11)

comment:1 Changed 10 years ago by acoul <alex@…>

this ticket refers to netboot & CF boot.

comment:2 Changed 10 years ago by florian

  • Owner changed from developers to florian
  • Status changed from new to assigned

Sorry I do not understand whether [9049] works or not ? Can you please paste a bootlog

comment:3 Changed 10 years ago by acoul <alex@…>

[9049] does not work. Removing these changes: https://dev.openwrt.org/log/trunk/target/linux/rb532?action=stop_on_copy&rev=9049&stop_rev=9007&mode=stop_on_copy from [9049] produces a bootable image the dmesg of which follows:

Linux version 2.6.22.4 (alex@aifnis) (gcc version 4.2.1) #2 Thu Sep 27 23:43:16 EEST 2007
CPU revision is: 0001800a
Determined physical RAM map:
 memory: 03fffa00 @ 00000400 (usable)
Wasting 32 bytes for tracking 1 unused pages
Initrd not found or empty - disabling initrd
On node 0 totalpages: 16383
  Normal zone: 127 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 16256 pages, LIFO batch:3
Built 1 zonelists.  Total pages: 16256
Kernel command line: console=ttyS0,115200 gpio=16383 kmac=00:0C:42:0E:5F:E8 board=500r5 boot=1 block2mtd.block2mtd=/dev/cfa2,131072 root=/dev/mtdblock0 ro
korina mac = 00:0C:42:0E:5F:E8
Primary instruction cache 8kB, physically tagged, 4-way, linesize 16 bytes.
Primary data cache 8kB, 4-way, linesize 16 bytes.
Synthesized TLB refill handler (20 instructions).
Synthesized TLB load handler fastpath (32 instructions).
Synthesized TLB store handler fastpath (32 instructions).
Synthesized TLB modify handler fastpath (31 instructions).
Initializing IRQ's: 168 out of 256
PID hash table entries: 256 (order: 8, 1024 bytes)
calculating r4koff... 001e846c(1999980)
CPU frequency 400.00 MHz
Using 199.998 MHz high precision timer.
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
Memory: 61328k/65528k available (2003k kernel code, 4140k reserved, 316k data, 116k init, 0k highmem)
Calibrating delay loop... 398.95 BogoMIPS (lpj=1994752)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
PCI: Initializing PCI
registering PCI controller with io_map_base unset
NET: Registered protocol family 2
Time: MIPS clocksource has been installed.
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP reno registered
squashfs: version 3.0 (2006/03/15) Phillip Lougher
JFFS2 version 2.2. (NAND) (SUMMARY)  ώώ 2001-2006 Red Hat, Inc.
yaffs Sep 27 2007 23:28:30 Installing.
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver $Revision: 1.90 $ 2 ports, IRQ sharing disabled
serial8250: ttyS0 at MMIO 0x0 (irq = 104) is a 16550A
cf-mips module loaded
cf-mips: resetting..
cf-mips: identify drive..
cf-mips: CF card detected, C/H/S=992/8/32 sectors=253952 (124MB) Serial=sa h    00108268
cf-mips: detecting block size
cf-mips: multiple sectors = 1
init done<6> cfa: cfa1 cfa2
Using NAPI with weight 64
eth0: Rx IRQ 40, Tx IRQ 41, 00:0c:42:0e:5f:e8
via-rhine.c:v1.10-LK1.4.3 2007-03-06 Written by Donald Becker
PCI: Enabling device 0000:00:02.0 (0080 -> 0083)
PCI: Setting latency timer of device 0000:00:02.0 to 64
io_map_base of root PCI bus 0000:00 unset.  Trying to continue but you better
fix this issue or report it to linux-mips@linux-mips.org or your vendor.
eth1: VIA Rhine III at 0xb8800000, 00:0c:42:0e:5f:e9, IRQ 142.
eth1: MII PHY found at address 1, status 0x7849 advertising 05e1 Link 0000.
PCI: Enabling device 0000:00:03.0 (0080 -> 0083)
PCI: Setting latency timer of device 0000:00:03.0 to 64
eth2: VIA Rhine III at 0xb8800100, 00:0c:42:0e:5f:ea, IRQ 143.
eth2: MII PHY found at address 1, status 0x7849 advertising 05e1 Link 0000.
block2mtd: version $Revision: 1.30 $
Creating 1 MTD partitions on "/dev/cfa2":
0x00000000-0x01020000 : "/dev/cfa2"
block2mtd: mtd0: [/dev/cfa2] erase_size = 128KiB [131072]
dev2base 0x18a20000 mask 0xffff0000 c 0x024f2800 tc 0x00001225
No NAND device found!!!
No NAND device found!!!
No NAND device found!!!
No NAND device found!!!
RB500 nand device not found
Registered led device: rb500led:amber
nf_conntrack version 0.5.0 (511 buckets, 4088 max)
ip_tables: (C) 2000-2006 Netfilter Core Team
TCP vegas registered
NET: Registered protocol family 1
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (jffs2 filesystem).
Freeing unused kernel memory: 116k freed
Warning: unable to open an initial console.
Algorithmics/MIPS FPU Emulator v1.5
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
SCSI subsystem initialized
libata version 2.21 loaded.

BusyBox v1.4.2 (2007-09-27 23:19:39 EEST) Built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 KAMIKAZE (bleeding edge, r9049) -------------------
  * 10 oz Vodka       Shake well with ice and strain
  * 10 oz Triple sec  mixture into 10 shot glasses.
  * 10 oz lime juice  Salute!
 ---------------------------------------------------

comment:4 Changed 10 years ago by florian

Could you paste a bootlog without reverting the changes in target/linux/rb532 ? Actually, I made two important changes, one aims at properly detecting the routerboard board version (500r5), while the other is to convert the nand driver, to use the generic nand driver.

comment:5 Changed 10 years ago by acoul <alex@…>

[9049] does not boot at all on a rb532a. If I remove patches [9008], [9011] and [9049] the rb532a is able to boot. Have you tried these patches on an rb532a?

comment:6 Changed 10 years ago by acoul <alex@…>

I did some further testing. The rb532a hangs with the following message:

RouterBOOT booter 2.7

RouterBoard 532A

CPU frequency: 399 MHz
  Memory size:  64 MB

Press any key within 5 seconds to enter setup.....
trying bootp protocol... OK
Got IP address: 192.168.1.57
resolved mac address 00:0B:DB:03:B9:7C
Gateway: 192.168.1.71
transfer started *.....*...... transfer ok, time=0.49s
setting up elf image... OK
jumping to kernel code

So far the only viable solution for rb532a to boot is to grab a [9007] snapshot of the trunk/target/linux/rb532 directory. It may be a good idea to remove these changes until this issue is fixed.

comment:7 Changed 10 years ago by florian

Can you try with [9049] ?

comment:8 Changed 10 years ago by acoul <alex@…>

[9049] is a no go on a rb532a, no boot. this is with gcc-4.2.1 & binutils-2.17

comment:9 Changed 10 years ago by acoul <alex@…>

the metioned problem started with commits [9008] & [9011]. the [9049] may or may not be a cause of the boot failure for the rb532a. That I can not test since some code of [9049] depends on [9008] & [9011]. So far I consider [8758] http://wifi.ozo.com/airo/openwrt/firmware/kamikaze/2.6/rb5xx/8758/ rock stable since it works on a production 4 x 802.11a rb532a box for couple of weeks witout a problem. The unit boots from cf.

comment:10 Changed 10 years ago by Cédric RICARD <cedric.ricard@…>

Some precisions:

If I retrieve the rev 8703, make a full rebuild, then update to the rev 9040 and make a simple build (no 'make clean', just a 'make'), the generated image works.

But if I do a 'make clean' followed by a 'make', the image doesn't work on any of my RB532... I've got some strange characters on my screen when the kernel starts (tested with rev 9040, 9075 and 9078).

comment:11 Changed 10 years ago by florian

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed with [9133].

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.